v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/packagetypes
Retrieves package type by study ID. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object PackageType
Contains package type detail
Nested Schema : PackageType
Type:
objectContains package type detail
Show Source
-
packageType: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package typeExample:BOTTLE -
packageTypeId: integer
(int64)
Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples